apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: the-order-prod

resources:
  - ../../base

patches:
  - path: configmap-patch.yaml
    target:
      kind: ConfigMap
      name: the-order-config

configMapGenerator:
  - name: the-order-config
    behavior: merge
    literals:
      - ENVIRONMENT=prod
      - LOG_LEVEL=info

replicas:
  - name: intake
    count: 3
  - name: identity
    count: 3
  - name: finance
    count: 2
  - name: dataroom
    count: 2

